Last Comment Bug 748230 - Crash in the desktop runtime shall identify the name of the application - Not as the Firefox build the app was installed with
: Crash in the desktop runtime shall identify the name of the application - Not...
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: 14 Branch
: x86_64 Windows 7
: P3 normal
: ---
Assigned To: Nobody; OK to take it and work on it
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 21:51 PDT by Jason Smith [:jsmith]
Modified: 2016-02-04 15:00 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Incorrect App Identification on Crash (89.24 KB, image/png)
2012-04-23 21:51 PDT, Jason Smith [:jsmith]
no flags Details

Description Jason Smith [:jsmith] 2012-04-23 21:51:02 PDT
Created attachment 617778 [details]
Incorrect App Identification on Crash

If a user experiences a crash while using the web runtime, windows identifies that the firefox build the application was installed with crashed. This is incorrect - The name of the application should be identified as the application that has been crashed. See the screenshot attached - What should have been shown was that "<Application Name> has stopped working." What actually happened was that it showed that Nightly had stopped working, which is incorrect.
Comment 1 Jason Smith [:jsmith] 2012-07-20 07:21:51 PDT
With adding support for breakpad, I believe the original problem specified here (which was in a Windows dialog) is fixed. Can someone else confirm?
Comment 2 Myk Melez [:myk] [@mykmelez] 2012-07-23 10:35:00 PDT
Confirmed!  The followup problem is bug 759505. :-)

Note You need to log in before you can comment on or make changes to this bug.